OGRE-Next: Ogre::LodOutsideMarker Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::LodOutsideMarker Class Reference

This class will mark vertices of a mesh, which are visible from far away (from outside). More...

`#include <OgreLodOutsideMarker.h>`

## Public Member Functions
| LodOutsideMarker (LodData::VertexList &vertexList, LodData::TriangleList &triangleList, Real boundingSphereRadius, Real walkAngle)
v1::MeshPtr | createConvexHullMesh (const String &meshName, const String &resourceGroupName=ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME)
| Returns a mesh containing the Convex Hull shape.
bool | isVertexOutside (LodData::VertexI v)
void | markOutside ()
| Mark vertices, which are visible from outside.

## Detailed Description

This class will mark vertices of a mesh, which are visible from far away (from outside).

Triangle is visible if each vertex of it is visible.

## Constructor & Destructor Documentation

## ◆ LodOutsideMarker()

Ogre::LodOutsideMarker::LodOutsideMarker | ( | LodData::VertexList & | vertexList,
|  | LodData::TriangleList & | triangleList,
|  | Real | boundingSphereRadius,
|  | Real | walkAngle )

Parameters

  vertexList | List of vertices. vertex.position is the input and vertex.isOuterWallVertex is the output of the algorithm.
  walkAngle | Walk angle in dot product values. Allowed range is from -1 to 1. Default = 0. Smaller value is bigger angle. If you set it to 1 then you can disable walking and it will only mark the vertices on the convex hull.

## Member Function Documentation

## ◆ createConvexHullMesh()

v1::MeshPtr Ogre::LodOutsideMarker::createConvexHullMesh | ( | const String & | meshName,
|  | const String & | resourceGroupName = ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME )

Returns a mesh containing the Convex Hull shape.

References Ogre::ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME.

## ◆ isVertexOutside()

bool Ogre::LodOutsideMarker::isVertexOutside | ( | LodData::VertexI | v | ) |
| inline

## ◆ markOutside()

void Ogre::LodOutsideMarker::markOutside | ( |  | ) |

Mark vertices, which are visible from outside.

The documentation for this class was generated from the following file:

- OgreLodOutsideMarker.h